source: archive/libusb-compat.xml@ 227b44ff

10.0 10.1 11.0 8.4 9.0 9.1 bdubbs/svn ken/refactor-virt lazarus qt5new trunk xry111/git-date xry111/git-date-for-trunk xry111/git-date-test
Last change on this file since 227b44ff was 227b44ff, checked in by Bruce Dubbs <bdubbs@…>, 3 years ago

Update to subversion-1.11.1.
Update to php-7.3.1.
Archive libusb-compat-0.1.5.
Fix a popper option.
Misc text changes.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@20945 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 4.7 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY libusb-compat-download-http "&sourceforge-dl;/libusb/libusb-compat-&libusb-compat-version;.tar.bz2">
8 <!ENTITY libusb-compat-download-ftp " ">
9 <!ENTITY libusb-compat-md5sum "2780b6a758a1e2c2943bdbf7faf740e4">
10 <!ENTITY libusb-compat-size "276 KB">
11 <!ENTITY libusb-compat-buildsize "2.4 MB">
12 <!ENTITY libusb-compat-time "less than 0.1 SBU">
13]>
14
15<sect1 id="libusb-compat" xreflabel="libusb-compat-&libusb-compat-version;">
16 <?dbhtml filename="libusb-compat.html"?>
17
18 <sect1info>
19 <othername>$LastChangedBy$</othername>
20 <date>$Date$</date>
21 </sect1info>
22
23 <title>libusb-compat-&libusb-compat-version;</title>
24
25 <indexterm zone="libusb-compat">
26 <primary sortas="a-libusb-compat">libusb-compat</primary>
27 </indexterm>
28
29 <sect2 role="package">
30 <title>Introduction to libusb-compat</title>
31
32 <para>
33 The <application>libusb-compat</application> package aims to look,
34 feel and behave exactly like <application>libusb-0.1</application>. It is a
35 compatibility layer needed by packages that have not been upgraded to the
36 <application>libusb-1.0</application> API.
37 </para>
38
39 &lfs83_checked;
40
41 <bridgehead renderas="sect3">Package Information</bridgehead>
42 <itemizedlist spacing="compact">
43 <listitem>
44 <para>
45 Download (HTTP): <ulink url="&libusb-compat-download-http;"/>
46 </para>
47 </listitem>
48 <listitem>
49 <para>
50 Download (FTP): <ulink url="&libusb-compat-download-ftp;"/>
51 </para>
52 </listitem>
53 <listitem>
54 <para>
55 Download MD5 sum: &libusb-compat-md5sum;
56 </para>
57 </listitem>
58 <listitem>
59 <para>
60 Download size: &libusb-compat-size;
61 </para>
62 </listitem>
63 <listitem>
64 <para>
65 Estimated disk space required: &libusb-compat-buildsize;
66 </para>
67 </listitem>
68 <listitem>
69 <para>
70 Estimated build time: &libusb-compat-time;
71 </para>
72 </listitem>
73 </itemizedlist>
74
75 <bridgehead renderas="sect3">libusb-compat Dependencies</bridgehead>
76
77 <bridgehead renderas="sect4">Required</bridgehead>
78 <para role="required">
79 <xref linkend="libusb"/>
80 </para>
81
82 <para condition="html" role="usernotes">User Notes:
83 <ulink url="&blfs-wiki;/libusb-compat"/>
84 </para>
85 </sect2>
86
87 <sect2 role="installation">
88 <title>Installation of libusb-compat</title>
89
90 <para>
91 Install <application>libusb-compat</application> by running the
92 following commands:
93 </para>
94
95<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
96make</userinput></screen>
97
98 <para>
99 This package does not come with a test suite.
100 </para>
101
102 <para>
103 Now, as the <systemitem class="username">root</systemitem> user:
104 </para>
105
106<screen role="root"><userinput>make install</userinput></screen>
107
108 </sect2>
109
110 <sect2 role="content">
111 <title>Contents</title>
112
113 <segmentedlist>
114 <segtitle>Installed Program</segtitle>
115 <segtitle>Installed Library</segtitle>
116 <segtitle>Installed Directories</segtitle>
117
118 <seglistitem>
119 <seg>libusb-config</seg>
120 <seg>libusb.so</seg>
121 <seg>None</seg>
122 </seglistitem>
123 </segmentedlist>
124
125 <variablelist>
126 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
127 <?dbfo list-presentation="list"?>
128 <?dbhtml list-presentation="table"?>
129
130 <varlistentry id="libusb-config">
131 <term><command>libusb-config</command></term>
132 <listitem>
133 <para>
134 determines the compile and linker flags that should be used to compile
135 and link programs that use <filename class='libraryfile'>libusb</filename>.
136 </para>
137 <indexterm zone="libusb-compat libusb-config">
138 <primary sortas="b-libusb-config">libusb-config</primary>
139 </indexterm>
140 </listitem>
141 </varlistentry>
142
143 <varlistentry id="libusb-compat-lib">
144 <term><filename class='libraryfile'>libusb.so</filename></term>
145 <listitem>
146 <para>
147 is a library that is compatible with
148 <application>libusb-0.1</application>, but uses
149 <application>libusb-1.0</application> to provide functionality.
150 </para>
151 <indexterm zone="libusb-compat libusb-compat-lib">
152 <primary sortas="c-libusb-compat">libusb.so</primary>
153 </indexterm>
154 </listitem>
155 </varlistentry>
156
157 </variablelist>
158
159 </sect2>
160
161</sect1>
Note: See TracBrowser for help on using the repository browser.